com.independentsoft.exchange

## Enum RuleFieldUri

- java.lang.Object
- - java.lang.Enum<RuleFieldUri>
  - - com.independentsoft.exchange.RuleFieldUri

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<RuleFieldUri>

      public enum RuleFieldUri
      extends java.lang.Enum<RuleFieldUri>

  Specifies the URI to the rule field that caused the validation error.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ACTION_ASSIGN_CATEGORIES` Gets the categories that are stamped on e-mail messages.
    `ACTION_COPY_TO_FOLDER` Gets or sets the ID of the folder that e-mail items will be copied to.
    `ACTION_DELETE` Gets or sets a value that indicates whether messages should be moved to the Deleted Items folder.
    `ACTION_FORWARD_AS_ATTACHMENT_TO_RECIPIENTS` Gets the e-mail addresses to which messages should be forwarded as attachments.
    `ACTION_FORWARD_TO_RECIPIENTS` Gets the e-mail addresses to which messages should be forwarded.
    `ACTION_MARK_AS_READ` Gets or sets a value that indicates whether messages should be marked as read.
    `ACTION_MARK_IMPORTANCE` Gets or sets the importance that should be stamped on messages.
    `ACTION_MOVE_TO_FOLDER` Gets or sets the ID of the folder that e-mail items will be moved to.
    `ACTION_PERMANENT_DELETE` Gets or sets a value that indicates whether messages should be permanently deleted and not saved to the Deleted Items folder.
    `ACTION_REDIRECT_TO_RECIPIENTS` Gets the e-mail addresses to which messages should be redirected.
    `ACTION_SEND_SMS_ALERT_TO_RECIPIENTS` Gets the mobile phone numbers to which a Short Message Service (SMS) alert should be sent.
    `ACTION_SERVER_REPLY_WITH_MESSAGE` Gets or sets the ID of the template message that should be sent as a reply to incoming messages.
    `ACTION_STOP_PROCESSING_RULES` Gets or sets a value that indicates whether subsequent rules should be evaluated.
    `ACTIONS`
    `CONDITION_CATEGORIES` Contains the categories that must be applied to an incoming message in order for the condition or exception to apply.
    `CONDITION_CONTAINS_BODY_STRINGS` Indicates the strings that must appear in the body of incoming messages in order for the condition or exception to apply.
    `CONDITION_CONTAINS_HEADER_STRINGS` Indicates the strings that must appear in the headers of incoming messages in order for the condition or exception to apply.
    `CONDITION_CONTAINS_RECIPIENT_STRINGS` Indicates the strings that must appear in either the ToRecipients or CcRecipients properties of incoming messages in order for the condition or exception to apply.
    `CONDITION_CONTAINS_SENDER_STRINGS` Indicates the strings that must appear in the From property of incoming messages in order for the condition or exception to apply.
    `CONDITION_CONTAINS_SUBJECT_OR_BODY_STRINGS` Indicates the strings that must appear in either the body or the subject of incoming messages in order for the condition or exception to apply.
    `CONDITION_CONTAINS_SUBJECT_STRINGS` Indicates the strings that must appear in the subject of incoming messages in order for the condition or exception to apply.
    `CONDITION_FLAGGED_FOR_ACTION` Specifies the flag for action value that must appear on incoming messages in order for the condition or exception to apply.
    `CONDITION_FROM_ADDRESSES` Indicates the e-mail addresses from which incoming messages must be sent in order for the condition or exception to apply.
    `CONDITION_FROM_CONNECTED_ACCOUNTS` Represents the e-mail account names from which incoming messages have to have been aggregated in order for the condition or exception to apply.
    `CONDITION_HAS_ATTACHMENTS` Indicates whether incoming messages have to have attachments in order for the condition or exception to apply.
    `CONDITION_IMPORTANCE` Specifies the importance that is stamped on incoming messages in order for the condition or exception to apply.
    `CONDITION_IS_APPROVAL_REQUEST` Indicates whether incoming messages must be approval requests in order for the condition or exception to apply.
    `CONDITION_IS_AUTOMATIC_FORWARD` Indicates whether incoming messages must be automatic forwards in order for the condition or exception to apply.
    `CONDITION_IS_AUTOMATIC_REPLY` Indicates whether incoming messages must be automatic replies in order for the condition or exception to apply.
    `CONDITION_IS_ENCRYPTED` Indicates whether incoming messages must be S/MIME encrypted in order for the condition or exception to apply.
    `CONDITION_IS_MEETING_REQUEST` Indicates whether incoming messages must be meeting requests in order for the condition or exception to apply.
    `CONDITION_IS_MEETING_RESPONSE` Indicates whether incoming messages must be meeting responses in order for the condition or exception to apply.
    `CONDITION_IS_NDR` Indicates whether incoming messages must be non-delivery reports (NDRs) in order for the condition or exception to apply.
    `CONDITION_IS_PERMISSION_CONTROLLED` Indicates whether incoming messages must be permission controlled (RMS protected) in order for the condition or exception to apply.
    `CONDITION_IS_READ_RECEIPT` Indicates whether incoming messages must be read receipts in order for the condition or exception to apply.
    `CONDITION_IS_SIGNED` Indicates whether incoming messages must be S/MIME signed in order for the condition or exception to apply.
    `CONDITION_IS_VOICE_MAIL` Indicates whether incoming messages must be voice mail messages in order for the condition or exception to apply.
    `CONDITION_ITEM_CLASSES` Represents the item classes that must be stamped on incoming messages in order for the condition or exception to apply.
    `CONDITION_MESSAGE_CLASSIFICATIONS` Represents the message classifications that must be stamped on incoming messages in order for the condition or exception to apply.
    `CONDITION_NOT_SENT_TO_ME` Indicates whether the owner of the mailbox must not be in the ToRecipients property of the incoming messages in order for the condition or exception to apply.
    `CONDITION_SENSITIVITY` Indicates the sensitivity that must be stamped on incoming messages in order for the condition or exception to apply.
    `CONDITION_SENT_CC_ME` Indicates whether the owner of the mailbox has to be in the CcRecipients property of incoming messages in order for the condition or exception to apply.
    `CONDITION_SENT_ONLY_TO_ME` Indicates whether the owner of the mailbox has to be the only one in the ToRecipients property of incoming messages in order for the condition or exception to apply.
    `CONDITION_SENT_TO_ADDRESSES` Indicates the e-mail addresses that incoming messages have to have been sent to in order for the condition or exception to apply.
    `CONDITION_SENT_TO_ME` Indicates whether the owner of the mailbox has to be in the ToRecipients property of incoming messages in order for the condition or exception to apply.
    `CONDITION_SENT_TO_OR_CC_ME` Indicates whether the owner of the mailbox has to be in either a ToRecipients or CcRecipients property of incoming messages in order for the condition or exception to apply.
    `CONDITION_WITHIN_DATE_RANGE` Specifies the date range within which incoming messages have to have been received in order for the condition or exception to apply.
    `CONDITION_WITHIN_SIZE_RANGE` Specifies the minimum and maximum sizes that incoming messages must be in order for the condition or exception to apply.
    `CONDITIONS`
    `DISPLAY_NAME`
    `EXCEPTION_CATEGORIES` Contains the categories that must be applied to an incoming message in order for the condition or exception to apply.
    `EXCEPTION_CONTAINS_BODY_STRINGS` Indicates the strings that must appear in the body of incoming messages in order for the condition or exception to apply.
    `EXCEPTION_CONTAINS_HEADER_STRINGS` Indicates the strings that must appear in the headers of incoming messages in order for the condition or exception to apply.
    `EXCEPTION_CONTAINS_RECIPIENT_STRINGS` Indicates the strings that must appear in either the ToRecipients or CcRecipients properties of incoming messages in order for the condition or exception to apply.
    `EXCEPTION_CONTAINS_SENDER_STRINGS` Indicates the strings that must appear in the From property of incoming messages in order for the condition or exception to apply.
    `EXCEPTION_CONTAINS_SUBJECT_OR_BODY_STRINGS` Indicates the strings that must appear in either the body or the subject of incoming messages in order for the condition or exception to apply.
    `EXCEPTION_CONTAINS_SUBJECT_STRINGS` Indicates the strings that must appear in the subject of incoming messages in order for the condition or exception to apply.
    `EXCEPTION_FLAGGED_FOR_ACTION` Specifies the flag for action value that must appear on incoming messages in order for the condition or exception to apply.
    `EXCEPTION_FROM_ADDRESSES` Indicates the e-mail addresses from which incoming messages must be sent in order for the condition or exception to apply.
    `EXCEPTION_FROM_CONNECTED_ACCOUNTS` Represents the e-mail account names from which incoming messages have to have been aggregated in order for the condition or exception to apply.
    `EXCEPTION_HAS_ATTACHMENTS` Indicates whether incoming messages have to have attachments in order for the condition or exception to apply.
    `EXCEPTION_IMPORTANCE` Specifies the importance that is stamped on incoming messages in order for the condition or exception to apply.
    `EXCEPTION_IS_APPROVAL_REQUEST` Indicates whether incoming messages must be approval requests in order for the condition or exception to apply.
    `EXCEPTION_IS_AUTOMATIC_FORWARD` Indicates whether incoming messages must be automatic forwards in order for the condition or exception to apply.
    `EXCEPTION_IS_AUTOMATIC_REPLY` Indicates whether incoming messages must be automatic replies in order for the condition or exception to apply.
    `EXCEPTION_IS_ENCRYPTED` Indicates whether incoming messages must be S/MIME encrypted in order for the condition or exception to apply.
    `EXCEPTION_IS_MEETING_REQUEST` Indicates whether incoming messages must be meeting requests in order for the condition or exception to apply.
    `EXCEPTION_IS_MEETING_RESPONSE` Indicates whether incoming messages must be meeting responses in order for the condition or exception to apply.
    `EXCEPTION_IS_NDR` Indicates whether incoming messages must be non-delivery reports (NDRs) in order for the condition or exception to apply.
    `EXCEPTION_IS_PERMISSION_CONTROLLED` Indicates whether incoming messages must be permission controlled (RMS protected) in order for the condition or exception to apply.
    `EXCEPTION_IS_READ_RECEIPT` Indicates whether incoming messages must be read receipts in order for the condition or exception to apply.
    `EXCEPTION_IS_SIGNED` Indicates whether incoming messages must be S/MIME signed in order for the condition or exception to apply.
    `EXCEPTION_IS_VOICE_MAIL` Indicates whether incoming messages must be voice mail messages in order for the condition or exception to apply.
    `EXCEPTION_ITEM_CLASSES` Represents the item classes that must be stamped on incoming messages in order for the condition or exception to apply.
    `EXCEPTION_MESSAGE_CLASSIFICATIONS` Represents the message classifications that must be stamped on incoming messages in order for the condition or exception to apply.
    `EXCEPTION_NOT_SENT_TO_ME` Indicates whether the owner of the mailbox must not be in the ToRecipients property of the incoming messages in order for the condition or exception to apply.
    `EXCEPTION_SENSITIVITY` Indicates the sensitivity that must be stamped on incoming messages in order for the condition or exception to apply.
    `EXCEPTION_SENT_CC_ME` Indicates whether the owner of the mailbox has to be in the CcRecipients property of incoming messages in order for the condition or exception to apply.
    `EXCEPTION_SENT_ONLY_TO_ME` Indicates whether the owner of the mailbox has to be the only one in the ToRecipients property of incoming messages in order for the condition or exception to apply.
    `EXCEPTION_SENT_TO_ADDRESSES` Indicates the e-mail addresses that incoming messages have to have been sent to in order for the condition or exception to apply.
    `EXCEPTION_SENT_TO_ME` Indicates whether the owner of the mailbox has to be in the ToRecipients property of incoming messages in order for the condition or exception to apply.
    `EXCEPTION_SENT_TO_OR_CC_ME` Indicates whether the owner of the mailbox has to be in either a ToRecipients or CcRecipients property of incoming messages in order for the condition or exception to apply.
    `EXCEPTION_WITHIN_DATE_RANGE` Specifies the date range within which incoming messages have to have been received in order for the condition or exception to apply.
    `EXCEPTION_WITHIN_SIZE_RANGE` Specifies the minimum and maximum sizes that incoming messages must be in order for the condition or exception to apply.
    `EXCEPTIONS`
    `IS_ENABLED`
    `IS_IN_ERROR`
    `IS_NOT_SUPPORTED`
    `PRIORITY`
    `RULE_ID`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static RuleFieldUri` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static RuleFieldUri[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### RULE_ID

          public static final RuleFieldUri RULE_ID

    - #### DISPLAY_NAME

          public static final RuleFieldUri DISPLAY_NAME

    - #### PRIORITY

          public static final RuleFieldUri PRIORITY

    - #### IS_NOT_SUPPORTED

          public static final RuleFieldUri IS_NOT_SUPPORTED

    - #### ACTIONS

          public static final RuleFieldUri ACTIONS

    - #### CONDITION_CATEGORIES

          public static final RuleFieldUri CONDITION_CATEGORIES

      Contains the categories that must be applied to an incoming message in order for the condition or exception to apply.

    - #### CONDITION_CONTAINS_BODY_STRINGS

          public static final RuleFieldUri CONDITION_CONTAINS_BODY_STRINGS

      Indicates the strings that must appear in the body of incoming messages in order for the condition or exception to apply.

    - #### CONDITION_CONTAINS_HEADER_STRINGS

          public static final RuleFieldUri CONDITION_CONTAINS_HEADER_STRINGS

      Indicates the strings that must appear in the headers of incoming messages in order for the condition or exception to apply.

    - #### CONDITION_CONTAINS_RECIPIENT_STRINGS

          public static final RuleFieldUri CONDITION_CONTAINS_RECIPIENT_STRINGS

      Indicates the strings that must appear in either the ToRecipients or CcRecipients properties of incoming messages in order for the condition or exception to apply.

    - #### CONDITION_CONTAINS_SENDER_STRINGS

          public static final RuleFieldUri CONDITION_CONTAINS_SENDER_STRINGS

      Indicates the strings that must appear in the From property of incoming messages in order for the condition or exception to apply.

    - #### CONDITION_CONTAINS_SUBJECT_OR_BODY_STRINGS

          public static final RuleFieldUri CONDITION_CONTAINS_SUBJECT_OR_BODY_STRINGS

      Indicates the strings that must appear in either the body or the subject of incoming messages in order for the condition or exception to apply.

    - #### CONDITION_CONTAINS_SUBJECT_STRINGS

          public static final RuleFieldUri CONDITION_CONTAINS_SUBJECT_STRINGS

      Indicates the strings that must appear in the subject of incoming messages in order for the condition or exception to apply.

    - #### CONDITION_FLAGGED_FOR_ACTION

          public static final RuleFieldUri CONDITION_FLAGGED_FOR_ACTION

      Specifies the flag for action value that must appear on incoming messages in order for the condition or exception to apply.

    - #### CONDITION_FROM_ADDRESSES

          public static final RuleFieldUri CONDITION_FROM_ADDRESSES

      Indicates the e-mail addresses from which incoming messages must be sent in order for the condition or exception to apply.

    - #### CONDITION_FROM_CONNECTED_ACCOUNTS

          public static final RuleFieldUri CONDITION_FROM_CONNECTED_ACCOUNTS

      Represents the e-mail account names from which incoming messages have to have been aggregated in order for the condition or exception to apply.

    - #### CONDITION_HAS_ATTACHMENTS

          public static final RuleFieldUri CONDITION_HAS_ATTACHMENTS

      Indicates whether incoming messages have to have attachments in order for the condition or exception to apply.

    - #### CONDITION_IMPORTANCE

          public static final RuleFieldUri CONDITION_IMPORTANCE

      Specifies the importance that is stamped on incoming messages in order for the condition or exception to apply.

    - #### CONDITION_IS_APPROVAL_REQUEST

          public static final RuleFieldUri CONDITION_IS_APPROVAL_REQUEST

      Indicates whether incoming messages must be approval requests in order for the condition or exception to apply.

    - #### CONDITION_IS_AUTOMATIC_FORWARD

          public static final RuleFieldUri CONDITION_IS_AUTOMATIC_FORWARD

      Indicates whether incoming messages must be automatic forwards in order for the condition or exception to apply.

    - #### CONDITION_IS_AUTOMATIC_REPLY

          public static final RuleFieldUri CONDITION_IS_AUTOMATIC_REPLY

      Indicates whether incoming messages must be automatic replies in order for the condition or exception to apply.

    - #### CONDITION_IS_ENCRYPTED

          public static final RuleFieldUri CONDITION_IS_ENCRYPTED

      Indicates whether incoming messages must be S/MIME encrypted in order for the condition or exception to apply.

    - #### CONDITION_IS_MEETING_REQUEST

          public static final RuleFieldUri CONDITION_IS_MEETING_REQUEST

      Indicates whether incoming messages must be meeting requests in order for the condition or exception to apply.

    - #### CONDITION_IS_MEETING_RESPONSE

          public static final RuleFieldUri CONDITION_IS_MEETING_RESPONSE

      Indicates whether incoming messages must be meeting responses in order for the condition or exception to apply.

    - #### CONDITION_IS_NDR

          public static final RuleFieldUri CONDITION_IS_NDR

      Indicates whether incoming messages must be non-delivery reports (NDRs) in order for the condition or exception to apply.

    - #### CONDITION_IS_PERMISSION_CONTROLLED

          public static final RuleFieldUri CONDITION_IS_PERMISSION_CONTROLLED

      Indicates whether incoming messages must be permission controlled (RMS protected) in order for the condition or exception to apply.

    - #### CONDITION_IS_READ_RECEIPT

          public static final RuleFieldUri CONDITION_IS_READ_RECEIPT

      Indicates whether incoming messages must be read receipts in order for the condition or exception to apply.

    - #### CONDITION_IS_SIGNED

          public static final RuleFieldUri CONDITION_IS_SIGNED

      Indicates whether incoming messages must be S/MIME signed in order for the condition or exception to apply.

    - #### CONDITION_IS_VOICE_MAIL

          public static final RuleFieldUri CONDITION_IS_VOICE_MAIL

      Indicates whether incoming messages must be voice mail messages in order for the condition or exception to apply.

    - #### CONDITION_ITEM_CLASSES

          public static final RuleFieldUri CONDITION_ITEM_CLASSES

      Represents the item classes that must be stamped on incoming messages in order for the condition or exception to apply.

    - #### CONDITION_MESSAGE_CLASSIFICATIONS

          public static final RuleFieldUri CONDITION_MESSAGE_CLASSIFICATIONS

      Represents the message classifications that must be stamped on incoming messages in order for the condition or exception to apply.

    - #### CONDITION_NOT_SENT_TO_ME

          public static final RuleFieldUri CONDITION_NOT_SENT_TO_ME

      Indicates whether the owner of the mailbox must not be in the ToRecipients property of the incoming messages in order for the condition or exception to apply.

    - #### CONDITION_SENT_CC_ME

          public static final RuleFieldUri CONDITION_SENT_CC_ME

      Indicates whether the owner of the mailbox has to be in the CcRecipients property of incoming messages in order for the condition or exception to apply.

    - #### CONDITION_SENT_ONLY_TO_ME

          public static final RuleFieldUri CONDITION_SENT_ONLY_TO_ME

      Indicates whether the owner of the mailbox has to be the only one in the ToRecipients property of incoming messages in order for the condition or exception to apply.

    - #### CONDITION_SENT_TO_ADDRESSES

          public static final RuleFieldUri CONDITION_SENT_TO_ADDRESSES

      Indicates the e-mail addresses that incoming messages have to have been sent to in order for the condition or exception to apply.

    - #### CONDITION_SENT_TO_ME

          public static final RuleFieldUri CONDITION_SENT_TO_ME

      Indicates whether the owner of the mailbox has to be in the ToRecipients property of incoming messages in order for the condition or exception to apply.

    - #### CONDITION_SENT_TO_OR_CC_ME

          public static final RuleFieldUri CONDITION_SENT_TO_OR_CC_ME

      Indicates whether the owner of the mailbox has to be in either a ToRecipients or CcRecipients property of incoming messages in order for the condition or exception to apply.

    - #### CONDITION_SENSITIVITY

          public static final RuleFieldUri CONDITION_SENSITIVITY

      Indicates the sensitivity that must be stamped on incoming messages in order for the condition or exception to apply.

    - #### CONDITION_WITHIN_DATE_RANGE

          public static final RuleFieldUri CONDITION_WITHIN_DATE_RANGE

      Specifies the date range within which incoming messages have to have been received in order for the condition or exception to apply.

    - #### CONDITION_WITHIN_SIZE_RANGE

          public static final RuleFieldUri CONDITION_WITHIN_SIZE_RANGE

      Specifies the minimum and maximum sizes that incoming messages must be in order for the condition or exception to apply.

    - #### EXCEPTION_CATEGORIES

          public static final RuleFieldUri EXCEPTION_CATEGORIES

      Contains the categories that must be applied to an incoming message in order for the condition or exception to apply.

    - #### EXCEPTION_CONTAINS_BODY_STRINGS

          public static final RuleFieldUri EXCEPTION_CONTAINS_BODY_STRINGS

      Indicates the strings that must appear in the body of incoming messages in order for the condition or exception to apply.

    - #### EXCEPTION_CONTAINS_HEADER_STRINGS

          public static final RuleFieldUri EXCEPTION_CONTAINS_HEADER_STRINGS

      Indicates the strings that must appear in the headers of incoming messages in order for the condition or exception to apply.

    - #### EXCEPTION_CONTAINS_RECIPIENT_STRINGS

          public static final RuleFieldUri EXCEPTION_CONTAINS_RECIPIENT_STRINGS

      Indicates the strings that must appear in either the ToRecipients or CcRecipients properties of incoming messages in order for the condition or exception to apply.

    - #### EXCEPTION_CONTAINS_SENDER_STRINGS

          public static final RuleFieldUri EXCEPTION_CONTAINS_SENDER_STRINGS

      Indicates the strings that must appear in the From property of incoming messages in order for the condition or exception to apply.

    - #### EXCEPTION_CONTAINS_SUBJECT_OR_BODY_STRINGS

          public static final RuleFieldUri EXCEPTION_CONTAINS_SUBJECT_OR_BODY_STRINGS

      Indicates the strings that must appear in either the body or the subject of incoming messages in order for the condition or exception to apply.

    - #### EXCEPTION_CONTAINS_SUBJECT_STRINGS

          public static final RuleFieldUri EXCEPTION_CONTAINS_SUBJECT_STRINGS

      Indicates the strings that must appear in the subject of incoming messages in order for the condition or exception to apply.

    - #### EXCEPTION_FLAGGED_FOR_ACTION

          public static final RuleFieldUri EXCEPTION_FLAGGED_FOR_ACTION

      Specifies the flag for action value that must appear on incoming messages in order for the condition or exception to apply.

    - #### EXCEPTION_FROM_ADDRESSES

          public static final RuleFieldUri EXCEPTION_FROM_ADDRESSES

      Indicates the e-mail addresses from which incoming messages must be sent in order for the condition or exception to apply.

    - #### EXCEPTION_FROM_CONNECTED_ACCOUNTS

          public static final RuleFieldUri EXCEPTION_FROM_CONNECTED_ACCOUNTS

      Represents the e-mail account names from which incoming messages have to have been aggregated in order for the condition or exception to apply.

    - #### EXCEPTION_HAS_ATTACHMENTS

          public static final RuleFieldUri EXCEPTION_HAS_ATTACHMENTS

      Indicates whether incoming messages have to have attachments in order for the condition or exception to apply.

    - #### EXCEPTION_IMPORTANCE

          public static final RuleFieldUri EXCEPTION_IMPORTANCE

      Specifies the importance that is stamped on incoming messages in order for the condition or exception to apply.

    - #### EXCEPTION_IS_APPROVAL_REQUEST

          public static final RuleFieldUri EXCEPTION_IS_APPROVAL_REQUEST

      Indicates whether incoming messages must be approval requests in order for the condition or exception to apply.

    - #### EXCEPTION_IS_AUTOMATIC_FORWARD

          public static final RuleFieldUri EXCEPTION_IS_AUTOMATIC_FORWARD

      Indicates whether incoming messages must be automatic forwards in order for the condition or exception to apply.

    - #### EXCEPTION_IS_AUTOMATIC_REPLY

          public static final RuleFieldUri EXCEPTION_IS_AUTOMATIC_REPLY

      Indicates whether incoming messages must be automatic replies in order for the condition or exception to apply.

    - #### EXCEPTION_IS_ENCRYPTED

          public static final RuleFieldUri EXCEPTION_IS_ENCRYPTED

      Indicates whether incoming messages must be S/MIME encrypted in order for the condition or exception to apply.

    - #### EXCEPTION_IS_MEETING_REQUEST

          public static final RuleFieldUri EXCEPTION_IS_MEETING_REQUEST

      Indicates whether incoming messages must be meeting requests in order for the condition or exception to apply.

    - #### EXCEPTION_IS_MEETING_RESPONSE

          public static final RuleFieldUri EXCEPTION_IS_MEETING_RESPONSE

      Indicates whether incoming messages must be meeting responses in order for the condition or exception to apply.

    - #### EXCEPTION_IS_NDR

          public static final RuleFieldUri EXCEPTION_IS_NDR

      Indicates whether incoming messages must be non-delivery reports (NDRs) in order for the condition or exception to apply.

    - #### EXCEPTION_IS_PERMISSION_CONTROLLED

          public static final RuleFieldUri EXCEPTION_IS_PERMISSION_CONTROLLED

      Indicates whether incoming messages must be permission controlled (RMS protected) in order for the condition or exception to apply.

    - #### EXCEPTION_IS_READ_RECEIPT

          public static final RuleFieldUri EXCEPTION_IS_READ_RECEIPT

      Indicates whether incoming messages must be read receipts in order for the condition or exception to apply.

    - #### EXCEPTION_IS_SIGNED

          public static final RuleFieldUri EXCEPTION_IS_SIGNED

      Indicates whether incoming messages must be S/MIME signed in order for the condition or exception to apply.

    - #### EXCEPTION_IS_VOICE_MAIL

          public static final RuleFieldUri EXCEPTION_IS_VOICE_MAIL

      Indicates whether incoming messages must be voice mail messages in order for the condition or exception to apply.

    - #### EXCEPTION_ITEM_CLASSES

          public static final RuleFieldUri EXCEPTION_ITEM_CLASSES

      Represents the item classes that must be stamped on incoming messages in order for the condition or exception to apply.

    - #### EXCEPTION_MESSAGE_CLASSIFICATIONS

          public static final RuleFieldUri EXCEPTION_MESSAGE_CLASSIFICATIONS

      Represents the message classifications that must be stamped on incoming messages in order for the condition or exception to apply.

    - #### EXCEPTION_NOT_SENT_TO_ME

          public static final RuleFieldUri EXCEPTION_NOT_SENT_TO_ME

      Indicates whether the owner of the mailbox must not be in the ToRecipients property of the incoming messages in order for the condition or exception to apply.

    - #### EXCEPTION_SENT_CC_ME

          public static final RuleFieldUri EXCEPTION_SENT_CC_ME

      Indicates whether the owner of the mailbox has to be in the CcRecipients property of incoming messages in order for the condition or exception to apply.

    - #### EXCEPTION_SENT_ONLY_TO_ME

          public static final RuleFieldUri EXCEPTION_SENT_ONLY_TO_ME

      Indicates whether the owner of the mailbox has to be the only one in the ToRecipients property of incoming messages in order for the condition or exception to apply.

    - #### EXCEPTION_SENT_TO_ADDRESSES

          public static final RuleFieldUri EXCEPTION_SENT_TO_ADDRESSES

      Indicates the e-mail addresses that incoming messages have to have been sent to in order for the condition or exception to apply.

    - #### EXCEPTION_SENT_TO_ME

          public static final RuleFieldUri EXCEPTION_SENT_TO_ME

      Indicates whether the owner of the mailbox has to be in the ToRecipients property of incoming messages in order for the condition or exception to apply.

    - #### EXCEPTION_SENT_TO_OR_CC_ME

          public static final RuleFieldUri EXCEPTION_SENT_TO_OR_CC_ME

      Indicates whether the owner of the mailbox has to be in either a ToRecipients or CcRecipients property of incoming messages in order for the condition or exception to apply.

    - #### EXCEPTION_SENSITIVITY

          public static final RuleFieldUri EXCEPTION_SENSITIVITY

      Indicates the sensitivity that must be stamped on incoming messages in order for the condition or exception to apply.

    - #### EXCEPTION_WITHIN_DATE_RANGE

          public static final RuleFieldUri EXCEPTION_WITHIN_DATE_RANGE

      Specifies the date range within which incoming messages have to have been received in order for the condition or exception to apply.

    - #### EXCEPTION_WITHIN_SIZE_RANGE

          public static final RuleFieldUri EXCEPTION_WITHIN_SIZE_RANGE

      Specifies the minimum and maximum sizes that incoming messages must be in order for the condition or exception to apply.

    - #### ACTION_ASSIGN_CATEGORIES

          public static final RuleFieldUri ACTION_ASSIGN_CATEGORIES

      Gets the categories that are stamped on e-mail messages.

    - #### ACTION_COPY_TO_FOLDER

          public static final RuleFieldUri ACTION_COPY_TO_FOLDER

      Gets or sets the ID of the folder that e-mail items will be copied to.

    - #### ACTION_DELETE

          public static final RuleFieldUri ACTION_DELETE

      Gets or sets a value that indicates whether messages should be moved to the Deleted Items folder.

    - #### ACTION_FORWARD_AS_ATTACHMENT_TO_RECIPIENTS

          public static final RuleFieldUri ACTION_FORWARD_AS_ATTACHMENT_TO_RECIPIENTS

      Gets the e-mail addresses to which messages should be forwarded as attachments.

    - #### ACTION_FORWARD_TO_RECIPIENTS

          public static final RuleFieldUri ACTION_FORWARD_TO_RECIPIENTS

      Gets the e-mail addresses to which messages should be forwarded.

    - #### ACTION_MARK_IMPORTANCE

          public static final RuleFieldUri ACTION_MARK_IMPORTANCE

      Gets or sets the importance that should be stamped on messages.

    - #### ACTION_MARK_AS_READ

          public static final RuleFieldUri ACTION_MARK_AS_READ

      Gets or sets a value that indicates whether messages should be marked as read.

    - #### ACTION_MOVE_TO_FOLDER

          public static final RuleFieldUri ACTION_MOVE_TO_FOLDER

      Gets or sets the ID of the folder that e-mail items will be moved to.

    - #### ACTION_PERMANENT_DELETE

          public static final RuleFieldUri ACTION_PERMANENT_DELETE

      Gets or sets a value that indicates whether messages should be permanently deleted and not saved to the Deleted Items folder.

    - #### ACTION_REDIRECT_TO_RECIPIENTS

          public static final RuleFieldUri ACTION_REDIRECT_TO_RECIPIENTS

      Gets the e-mail addresses to which messages should be redirected.

    - #### ACTION_SEND_SMS_ALERT_TO_RECIPIENTS

          public static final RuleFieldUri ACTION_SEND_SMS_ALERT_TO_RECIPIENTS

      Gets the mobile phone numbers to which a Short Message Service (SMS) alert should be sent.

    - #### ACTION_SERVER_REPLY_WITH_MESSAGE

          public static final RuleFieldUri ACTION_SERVER_REPLY_WITH_MESSAGE

      Gets or sets the ID of the template message that should be sent as a reply to incoming messages.

    - #### ACTION_STOP_PROCESSING_RULES

          public static final RuleFieldUri ACTION_STOP_PROCESSING_RULES

      Gets or sets a value that indicates whether subsequent rules should be evaluated.

    - #### IS_ENABLED

          public static final RuleFieldUri IS_ENABLED

    - #### IS_IN_ERROR

          public static final RuleFieldUri IS_IN_ERROR

    - #### CONDITIONS

          public static final RuleFieldUri CONDITIONS

    - #### EXCEPTIONS

          public static final RuleFieldUri EXCEPTIONS

  - ### Method Detail

    - #### values

          public static RuleFieldUri[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (RuleFieldUri c : RuleFieldUri.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static RuleFieldUri valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null